## python-parted 0.10

=== doc/Makefile ===
# $Progeny: Makefile,v 1.2 2002/01/18 06:20:55 dsp Exp $

doctools=../doctools

IGNOREFILES=	api

all: .cvsignore api/index.html

api/index.html: ../parted.py
	happydoc -d api ../parted.py

clean:

maintainer-clean:
	rm -rf api

.PHONY: all clean maintainer-clean

include ${doctools}/docbook.mk
