=== debian/control ===
Source: python-parted
Section: interpreters
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Uploaders: Branden Robinson <branden@progeny.com>
Standards-Version: 3.5.6
Build-Depends: python-dev (>= 2.3), python-dev (<< 2.4), libparted1.6-dev, uuid-dev, debhelper

Package: python-parted
Architecture: any
Depends: ${shlibs:Depends}, python (>= 2.3), python (<< 2.4)
Description: Python bindings for GNU Parted
 GNU Parted is a library for manipulating disk partitions.  This module
 contains Python bindings for the library.
