## python-parted 0.11.2ubuntu2

=== debian/changelog ===
python-parted (0.11.2ubuntu2) hoary; urgency=low

  * Build for python2.4.

 -- Matthias Klose <m@klose.in-berlin.de>  Wed, 15 Dec 2004 22:38:11 +0100

python-parted (0.11.2ubuntu1) hoary; urgency=low

  * Ported to new libparted ABI (1.6.12):

  * NOTE: The parted.device_get_cylinders(), parted.device_get_heads(), and
    parted.device_get_sectors() functions have been removed.  Use
    parted.device_get_bios_geom().get_cylinders() etc. or
    parted.device_get_hw_geom().get_cylinders() etc. instead.

  * pyparted.c:
    - (chs_geometry_get_cylinders, chs_geometry_get_heads,
      chs_geometry_get_sectors): new; similar information formerly
      accessible using device_get_cylinders(), device_get_heads(),
      device_get_sectors()
    - (device_get_hw_geom, device_get_bios_geom): new, returning CHSGeometry
      objects; tracks upstream libparted API change
    - (device_get_geom_known): removed; tracks upstream libparted API change

  * parted.py:
    - New CHSGeometry class. Other changes in line with the above.

  * debian/control: Build-depend on libparted1.6-dev (>= 1.6.12) for the new
    API.

 -- Colin Watson <cjwatson@canonical.com>  Fri,  3 Dec 2004 12:17:06 +0000
