## python-parted 0.11.2ubuntu3

=== debian/changelog ===
python-parted (0.11.2ubuntu3) breezy; urgency=low

  * debian/dirs: Remove. Ubuntu 9732.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  1 Aug 2005 10:42:26 +0200
