=== debian/control ===
Source: python-parted
Section: python
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Uploaders: Branden Robinson <branden@progeny.com>
Standards-Version: 3.5.6
Build-Depends: python-dev (>= 2.4), python-dev (<< 2.5), libparted1.6-dev (>= 1.6.12), uuid-dev, debhelper (>= 4.2.28)

Package: python-parted
Architecture: any
Depends: ${shlibs:Depends}, python (>= 2.4), python (<< 2.5)
Description: Python bindings for GNU Parted
 GNU Parted is a library for manipulating disk partitions.  This module
 contains Python bindings for the library.
