## python-parted 0.11.2ubuntu4

=== debian/changelog ===
python-parted (0.11.2ubuntu4) dapper; urgency=low

  * Build with new libparted ABI (1.6.13).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Nov 2005 12:30:13 -0500
