=== debian/rules ===
#!/usr/bin/make -f

# $Progeny: rules,v 1.7 2002/03/18 21:18:49 epg Exp $

export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	python setup.py build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -rf build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	python setup.py install --root=${CURDIR}/debian/tmp
	-find debian/tmp -name '*.py[co]' | xargs rm -f

binary-indep: build install
# Nothing to do here.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_strip
	dh_python
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
