## python-parted 0.11.2ubuntu5

=== debian/changelog ===
python-parted (0.11.2ubuntu5) edgy; urgency=low

  * Changed build-dep libparted1.6-dev to libparted1.7-dev.  Closes #59861

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 11 Sep 2006 02:09:53 -0500
