=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
 Uploaders: Branden Robinson <branden@progeny.com>
 Standards-Version: 3.5.6
-Build-Depends: python-dev (>= 2.4), python-dev (<< 2.5), libparted1.6-dev (>= 1.6.24), uuid-dev, debhelper (>= 4.2.28)
+Build-Depends: python-dev (>= 2.4), python-dev (<< 2.5), libparted1.7-dev, uuid-dev, debhelper (>= 4.2.28)
 
 Package: python-parted
 Architecture: any
